Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType clusterType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}targetType
              {http://www.bea.com/ns/weblogic/90/domain}clusterType

Model
  `<...>
  name?, notes?, cluster-address?, multicast-address?, multicast-buffer-size?, multicast-port?, multicast-ttl?, multicast-send-delay?, default-load-algorithm?, service-age-threshold-seconds?, client-cert-proxy-enabled?, weblogic-plugin-enabled?, member-warmup-timeout-seconds?, http-trace-support-enabled?, frontend-host?, frontend-http-port?, frontend-https-port?, idle-periods-until-timeout?, remote-cluster-address?, replication-channel?, inter-cluster-comm-link-health-check-interval?, data-source-for-session-persistence?, session-flush-interval?, session-flush-threshold?, candidate-machines-for-migratable-server?, data-source-for-automatic-migration?, health-check-interval-millis?, health-check-periods-until-fencing?, fencing-grace-period-millis?, singleton-sql-query-helper?, number-of-servers-in-cluster-address?, cluster-type?, multicast-data-encryption?, auto-migration-table-name?, additional-auto-migration-attempts?, millis-to-sleep-between-auto-migration-attempts?, replication-timeout-enabled?, overload-protection?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This bean represents a cluster in the domain. Servers join a cluster by calling ServerMBean.setCluster with the logical name of the cluster. A configuration may define zero or more clusters. They may be looked up by logical name. The name of a cluster denotes its logical cluster name.

  MBean: `ClusterMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `cluster-address` optional The address that forms a portion of the URL a client uses to connect to this cluster, and that is used for generating EJB handles and entity EJB failover addresses.
`string` | `multicast-address` optional The multicast address used by cluster members to communicate with each other.
`annonymous type derived from int` | `multicast-buffer-size` optional The multicast socket send/receive buffer size (at least 64 kilobytes).
`annonymous type derived from int` | `multicast-port` optional The multicast port (between 1 and 65535) used by cluster members to communicate with each other.
`annonymous type derived from int` | `multicast-ttl` optional The number of network hops (between 1 and 255) that a cluster multicast message is allowed to travel.
`annonymous type derived from int` | `multicast-send-delay` optional The amount of time (between 0 and 100 milliseconds) to delay sending message fragments over multicast in order to avoid OS-level buffer overflow.
`annonymous type derived from string` | `default-load-algorithm` optional The algorithm to be used for load-balancing between replicated services if none is specified for a particular service.
`annonymous type derived from int` | `service-age-threshold-seconds` optional The number of seconds (between 0 and 65534) by which the age of two conflicting services must differ before one is considered older than the other.
`boolean` | `client-cert-proxy-enabled` optional This bean represents a cluster in the domain.
`boolean` | `weblogic-plugin-enabled` optional This bean represents a cluster in the domain.
`annonymous type derived from int` | `member-warmup-timeout-seconds` optional Maximum number of seconds that a cluster member will wait to discover and synchronize with other servers in the cluster.
`boolean` | `http-trace-support-enabled` optional This bean represents a cluster in the domain.
`string` | `frontend-host` optional The name of the host to which all redirected URLs will be sent.
`int` | `frontend-http-port` optional The name of the HTTP port to which all redirected URLs will be sent.
`int` | `frontend-https-port` optional The name of the secure HTTP port to which all redirected URLs will be sent.
`annonymous type derived from int` | `idle-periods-until-timeout` optional Maximum number of periods that a cluster member will wait before timing out a member of a cluster.
`string` | `remote-cluster-address` optional Set the foreign cluster.
`string` | `replication-channel` optional The channel name to be used for replication traffic.
`int` | `inter-cluster-comm-link-health-check-interval` optional If the cluster link between two clusters goes down, a trigger will run to periodically to see if the link is restored.
`string` | `data-source-for-session-persistence` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`int` | `session-flush-interval` optional Interval in seconds until HTTP Sessions are periodically flushed to the backup cluster to dump session state on disk.
`int` | `session-flush-threshold` optional When number of sessions to be flushed reaches this threshold limit, sessions will be flushed to the backup cluster before the flush interval.
`string` | `candidate-machines-for-migratable-server` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `data-source-for-automatic-migration` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`int` | `health-check-interval-millis` optional Interval in milliseconds at which Migratable Servers and Cluster Masters prove their liveness via the database.
`annonymous type derived from int` | `health-check-periods-until-fencing` optional Maximum number of periods that a cluster member will wait before timing out a Cluster Master and also the maximum number of periods the Cluster Master will wait before timing out a Migratable Server.
`int` | `fencing-grace-period-millis` optional During automatic migration, if the Cluster Master determines a server to be dead, it waits for this period of time (in milliseconds) before the Cluster Master migrates the service to another server in the cluster.
`string` | `singleton-sql-query-helper` optional
`int` | `number-of-servers-in-cluster-address` optional Number of servers to be listed from this cluster when generating a cluster address automatically.
`annonymous type derived from string` | `cluster-type` optional Optimizes cross-cluster replication for the type of network that servers in the clusters use for administrative communication.
`boolean` | `multicast-data-encryption` optional Enables multicast data to be incrypted.
`string` | `auto-migration-table-name` optional Return the name of the table to be used for server migration.
`int` | `additional-auto-migration-attempts` optional A migratable server could fail to come up on every possible configured machine.
`long` | `millis-to-sleep-between-auto-migration-attempts` optional Controls how long of a pause there should be between the migration attempts described in getAdditionalAutoMigrationAttempts().
`boolean` | `replication-timeout-enabled` optional This bean represents a cluster in the domain.
`anyType` | `overload-protection` optional Get attributes related to server overload protection.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1